textures/tmf_textures/bricktrans
{
	nopicmip
	nomipmaps
	qer_editorimage textures/tmf_textures/bricktrans.jpg	
	qer_trans
	{
		map textures/tmf_textures/bricktrans.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .25 0 0 0
		//rgbGen wave sin .08 0 0 0
	}
}

textures/tmf_textures/waterA
{
	nocompress
	qer_editorimage textures/tmf_textures/waterA.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/tmf_textures/waterA.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/tmf_textures/rippleA.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/tmf_textures/rippleA.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/tmf_textures/shimA.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/tmf_textures/iceB
{
	qer_editorimage textures/tmf_textures/iceB_base.tga
	surfaceparm slick
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm nolightmap
   
	{
		map $lightmap
		rgbGen identity
	}
	{
            map textures/tmf_textures/iceB_base.tga	
		blendFunc GL_DST_COLOR GL_ZERO
	      rgbGen identity //vertex	
		tcmod scale .25 .25	 
	}  
	{
   	      map textures/tmf_textures/ice_shine.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    		rgbGen identity //vertex
    		tcGen environment
    	}
}

textures/tmf_textures/fenceA
{
    surfaceparm nomarks
    surfaceparm alphashadow
    surfaceparm metalsteps
    nomipmap
    nopicmip
    cull disable
    {
        map textures/tmf_textures/fenceA.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite
	  rgbGen vertex
    }
}

textures/fear_lolz/p0XX
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p0XX.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p0XX.jpg
	}
}

textures/fear_lolz/p001
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p001.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p001.jpg
	}
}

textures/fear_lolz/p002
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p002.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p002.jpg
	}
}

textures/fear_lolz/p003
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p003.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p003.jpg
	}
}

textures/fear_lolz/p004
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p004.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p004.jpg
	}
}

textures/fear_lolz/p010
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p010.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p010.jpg
	}
}

textures/fear_lolz/p014
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p014.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p014.jpg
	}
}

textures/fear_lolz/p015
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p015.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p015.jpg
	}
}

textures/fear_lolz/p016
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p016.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p016.jpg
	}
}

textures/fear_lolz/p017
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p017.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p017.jpg
	}
}

textures/fear_lolz/p018
{
	nomipmaps
	qer_editorimage textures/fear_lolz/p018.jpg
	q3map_globaltexture
	{
		map textures/fear_lolz/p018.jpg
	}
}